{
  "name":"RainDrop Filter",
  "kind":"filter",
  "src":"RaindropFX.RaindropFX_Main",
  "properties":[
    {
      "title":"Background Blur",
      "name":"backgroundBlurRadius",
      "kind":"percent",
      "type":"integer",
      "rang":"0,10",
      "decimalDigits":"0",
      "inc":"1,1",
      "value":"3"
    },
    {
      "title":"Edge Softness",
      "name":"edgeSoftness",
      "kind":"percent",
      "type":"integer",
      "rang":"1,5",
      "decimalDigits":"0",
      "inc":"1,1",
      "value":"1"
    },
    {
      "title":"Generate Trail",
      "name":"genTrail",
      "kind":"checkbox",
      "value":"True"
    },
    {
      "title":"Max Static RainDrop Number",
      "name":"maxStaticNum",
      "kind":"number",
      "type":"integer",
      "rang":"1,10000",
      "decimalDigits":"0",
      "inc":"1,10",
      "value":"5000"
    },         
    {
      "title":"Max Dynamic RainDrop Number",
      "name":"maxDynamicNum",
      "kind":"number",
      "type":"integer",
      "rang":"1,1000",
      "decimalDigits":"0",
      "inc":"1,10",
      "value":"10"
    },     
    {
      "title":"Size Range",
      "name":"sizeRange",
      "kind":"vector2",
      "decimalDigits":"2",
      "inc":"0.01,1",
      "value":"(Vector2)0.1,0.25"
    },             
    {
      "title":"Use Wind",
      "name":"useWind",
      "kind":"checkbox",
      "value":"True"
    },
    {
      "title":"Wind Force",
      "name":"wind",
      "kind":"vector2",
      "value":"(Vector2)0,0"
    },     
    {
      "title":"Gravity",
      "name":"gravity",
      "kind":"vector2",
      "value":"(Vector2)0,-9.8"
    },          
    {
      "title":"Friction",
      "name":"friction",
      "kind":"percent",
      "type":"float",
      "rang":"-100,500",
      "decimalDigits":"1",
      "inc":"0.1,1",
      "value":"0.8"
    },
    {
      "title":"Distortion",
      "name":"distortion",
      "kind":"percent",
      "type":"float",
      "rang":"0,1",
      "decimalDigits":"2",
      "inc":"0.01,0.1",
      "value":"0.16"
    },        
  ]


}